Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.function.ext
Class UpperFunction

    java.lang.Object
      org.jaxen.function.ext.LocaleFunctionSupport
          org.jaxen.function.ext.UpperFunction

All Implemented Interfaces:
  Function

public class UpperFunction
extends LocaleFunctionSupport

`string upper-case(string)` This function can take a second parameter of the `Locale` to use for the String conversion.

For example `upper-case( /foo/bar )` `upper-case( /foo/@name, $myLocale )`

Author:
  mark wilson (markw@wilsoncom.de), James Strachan

Constructor Summary
`UpperFunction()`

Method Summary
`Object` | `call(Context context, List args)` Evaluate this function.
`static String` | `evaluate(Object strArg, Locale locale, Navigator nav)` Converts the given string value to upper case using an optional Locale

Methods inherited from class org.jaxen.function.ext.LocaleFunctionSupport
`findLocale, findLocaleForLanguage, getLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpperFunction

    public UpperFunction()

Method Detail

### call

    public Object call(Context context,
                       List args)
                throws FunctionCallException

  Description copied from interface: `Function`
  Evaluate this function.

  Parameters:
    `context` - the context at the point in the expression when the function is called
    `args` - arguments provided to the function
  Returns:
    the result of evaluating the function; a `List` (node-set), `Double`, `Boolean`, or `String`
  Throws:
    `FunctionCallException` - if an XPath error occurs during evaluation; for instance, if the number or type of the arguments is incorrect

### evaluate

    public static String evaluate(Object strArg,
                                  Locale locale,
                                  Navigator nav)

  Converts the given string value to upper case using an optional Locale

  Parameters:
    `strArg` - the value which gets converted to a String
    `locale` - the Locale to use for the conversion or null if English should be used
    `nav` - the Navigator to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.